import {Component} from '@angular/core';
import {Work} from "../../models/work.model";
import {WorkService} from "../../services/work.service";
import {NgForOf} from "@angular/common";
import {FormsModule, NgForm} from "@angular/forms";

@Component({
    selector: 'app-works-list',
    standalone: true,
    imports: [
        NgForOf,
        FormsModule
    ],
    templateUrl: './works-list.component.html',
    styleUrl: './works-list.component.css'
})
export class WorksListComponent {
    works: Work[] = [];

    constructor(protected workService: WorkService) {
    }

    ngOnInit() {
        this.workService.getWorks().subscribe((response: Work[]) => this.works = response)
    }

    onSubmit(form: NgForm) {
        this.workService.postWork(form);
    }
}
