import {Injectable} from '@angular/core';
import {Work} from "../models/work.model";
import {HttpClient} from "@angular/common/http";
import {Observable} from "rxjs";
import {NgForm} from "@angular/forms";


@Injectable({
    providedIn: 'root'
})
export class WorkService {
    API_URL = 'http://127.0.0.1:3000'

    private works: Work[] = [];

    constructor(private http: HttpClient) {
    }

    getWorks(): Observable<any> {
        return this.http.get(`${this.API_URL}/works`);
    }

    //je veux return les works d'un user id
    getWorksByUserId(user_id: string): Observable<any> {
        return this.http.get(`${this.API_URL}/works/${user_id}`); 
    }
    
    //je veux return le link du dernier work d'un user (en l'occurence celui connecté)
    getLastWorkByUserId(user_id: string): Observable<any> {
        return this.http.get(`${this.API_URL}/work/${user_id}`); 
    }


    postWork(form: NgForm): void {
        let body = {link: crypto.randomUUID(), user_id: 1, id_language: 1, code: form.value.content, saveDate: new Date()}
        this.http.post<any>(`${this.API_URL}/works`, body).subscribe();
    }

    postWorkCode(code: string): void {
        let body = {link: crypto.randomUUID(), user_id: 1, id_language: 1, code: code}
        this.http.post<any>(`${this.API_URL}/works`, body).subscribe();
    }
}